#
# spec file for package pida
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pida
Version:        0.6.2
Release:        10.6
Url:            http://pida.co.uk/
Summary:        An integrated development environment that reuses tools such as Vim
License:        GPL-2.0+
Group:          Development/Languages/Python
Source:         %{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE pida-0.6.2-fix-moo-pygtk-include.patch saschpe@gmx.de -- Adjust moo include path
Patch0:         %{name}-0.6.2-fix-moo-pygtk-include.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  python-gtk-devel
BuildRequires:  python-setuptools
# The following build requirements are only for the testsuite
BuildRequires:  bpython
BuildRequires:  python-anyvc
BuildRequires:  python-apipkg
BuildRequires:  python-py
BuildRequires:  python-pygtkhelpers
BuildRequires:  python-requests
BuildRequires:  python-wcwidth
Requires:       gvim
Requires:       python-gtk
Requires:       python-pygtkhelpers
Requires:       python-vte
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1010
BuildRequires:  fdupes
%endif
%if 0%{?suse_version} < 1140
BuildRequires:  gtk2-devel
Requires:       python-argparse
%endif
Suggests:       emacs
%endif
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
PIDA is an IDE (integrated development environment).

PIDA is different from other IDEs in that it will use the tools
you already have available rather than attempting to reinvent each one.
PIDA is written in Python with the PyGTK toolkit, and although is designed
to be used to program in any language, PIDA has fancy Python IDE features.

%prep
%setup -q
%patch0
sed -i '1d' pida/{utils/feedparser,services/plugins/multipart}.py # Remove she-bang lines

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm %{buildroot}%{_datadir}/doc/%{name}/contrib/gtkrc/dark.gtkrc-2.0
%if 0%{?suse_version} > 1010
%fdupes %{buildroot}%{_prefix}
%endif

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README docs
%{_bindir}/%{name}*
%python_sitearch/%{name}*

%changelog
* Mon Sep 19 2016 toddrme2178@gmail.com
- Add missing buildrequires
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Nov 20 2012 saschpe@suse.de
- Add BuildRequires: python-apipkg to fix build on SLE_11, 12.1 and 12.2
* Wed Feb  1 2012 saschpe@suse.de
- Spec file cleanup:
  * Set license to SDPX style
  * Removed outdated %%clean section
  * Buildrequire python-distribute instead of setuptools
* Thu Jul 14 2011 saschpe@suse.de
- Added %%check section and corresponding build requirements
* Thu Jul 14 2011 saschpe@suse.de
- Add requires on python-vte
* Thu Jul 14 2011 saschpe@suse.de
- Fix she-bang line for python scripts rpmlint warning
- Only use fdupes on %%{buildroot}{%%_prefix}
* Tue Apr 19 2011 saschpe@suse.de
- Add gtk2-devel dependency for openSUSE < 11.4
* Tue Apr 19 2011 saschpe@suse.de
- Don't require bpython, it's not needed
* Mon Apr 18 2011 saschpe@suse.de
- Initial version (0.6.2)
